<template>
  <div class="manager-team-table">
    <manager-team-table />
  </div>
</template>

<script>
import {mapActions, mapGetters} from "vuex";
import ManagerTeamTable from "./ManagerTeamTable";

export default {
  name: "ManagerTeamList",
  components: {ManagerTeamTable},
  computed: {
    ...mapGetters([
      'teams',
    ])
  },
  created() {
    if(this.teams.length === 0)
      this.fetchTeams();
  },
  methods: {
    ...mapActions([
      'fetchTeams',
    ]),
  }
}
</script>

<style scoped>
  .manager-team-table {
    padding-top: 2vh;
  }
</style>